<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header_schedule.inc.php";

if (!empty($_REQUEST['group_id'])) { // page under group section
    //ACS check
	if (!$group_acs->checkPermission($c_acs['arr_acs']['resource']['group_schedule'], $c_acs['arr_acs']['privilege']['allow_edit'])) { //resourece_id, Priv_id
		header("Location: g_group.php?group_id=" . $_REQUEST['group_id']."&".SID);
		exit;
	}
}

if (isset($_POST['update_allocations'])) {
    $schedule->updateScheduleAllocations($schedule->schedule_id, $frmdata['user_ids'], $frmdata['status_ids']);
}



if (isset($schedule->schedule_id)) {
    $output_schedule = $schedule->selScheduleItem();
	
	//get the group and/or the author
	$user->user_id = $output_schedule['user_id'];
	$output_profile = $user->getProfile();
	
	$output_schedule_allocation = $schedule->selScheduleAllocations();
	
	//get user default profiles for a allocation
	if (!empty($output_schedule_allocation)) {
	    foreach($output_schedule_allocation as $key => $i):
			$user->user_id = $i['user_id'];
			$output_schedule_allocation[$key]['profile'] = $user->getProfile();
		endforeach;
	}
}
else { // no schedule id
	if (isset($group_id)) {
	    header("Location: sch_list.php?group_id=" . $group_id ."&".SID);
	}
	else {
		header("Location: sch_list.php?".SID);
	}
	exit;
}


//move to template
if (!empty($output_schedule)) {
	$body->set('schedule', $output_schedule);
	$tpl->set('schedule_id', $output_schedule['schedule_id']); //sets menus
}

if (!empty($output_schedule_items)) {
   $body->set('schedule_items', $output_schedule_items);
}

if (!empty($output_schedule_allocation)) {
   $body->set('schedule_allocation', $output_schedule_allocation);
}

if (isset($display)) {
   $body->set('display', $display);
}

if (!empty($output_profile)) {
	$body->set('profile', $output_profile);
}

if (!empty($output_group)) {
	$body->set('group', $output_group);
}

$body->set('schedule_config', $c_node['schedule']);

include "inc/footer.inc.php";

?>
